Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 121065 - rhythmbox doesn't save changes to playlists when closed
rhythmbox doesn't save changes to playlists when closed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 13:31 EDT by Nils Philippsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 16:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2004-04-16 13:31:58 EDT
Description of problem:

Rhythmbox doesn't save the changed playlist when closed (or while
running which would even be better):

nils@gibraltar:~> strace -Ff -e open -o /tmp/r-b.out rhythmbox
[...]
nils@gibraltar:~/.gnome2/rhythmbox> grep playlists.xml /tmp/r-b.out
24185 open("/home/nils/.gnome2/rhythmbox/playlists.xml", O_RDONLY) = 18
nils@gibraltar:~/.gnome2/rhythmbox>

Version-Release number of selected component (if applicable):

rhythmbox-0.7.2-1

How reproducible:

Always

Steps to Reproduce:
1. Load your library with some albums
2. Create a new playlist
3. Load songs into the new playlist
4. Exit Rhythmbox
5. Start Rhythmbox
  
Actual results:

New playlist is empty

Expected results:

New playlist containes new songs
Comment 1 Colin Walters 2004-04-16 15:08:01 EDT
This should be fixed in the next release, please reopen if you can
still reproduce.
Comment 2 Nils Philippsen 2004-04-19 09:24:52 EDT
Can reproduce :-(. Strace for illustration:

nils@gibraltar:~> strace -Ff -e open rhythmbox 2>&1 | fgrep playlist
open("/usr/share/rhythmbox/art/rhythmbox-playlist.png",
O_RDONLY|O_LARGEFILE) = 18
open("/usr/share/rhythmbox/art/rhythmbox-playlist-menu.png",
O_RDONLY|O_LARGEFILE) = 18
open("/usr/share/rhythmbox/art/rhythmbox-automatic-playlist.png",
O_RDONLY|O_LARGEFILE) = 18
[pid 16239] open("/home/nils/.gnome2/rhythmbox/playlists.xml",
O_RDONLY) = 18
nils@gibraltar:~> rpm -q rhythmbox
rhythmbox-0.8.0-1
Comment 3 Colin Walters 2004-04-20 16:23:32 EDT
Should really be fixed now in 0.8.1 just uploaded into rawhide :)

Note You need to log in before you can comment on or make changes to this bug.